%define 	docver	2.10.0.2

Name: 		worker
Version: 	3.8.5
Release: 	%mkrel 1
Summary: 	A file manager for X in AMIGA style
License: 	GPLv2+
Group: 		File tools
URL: 		http://www.boomerangsworld.de/cms/worker/
Source0: 	http://www.boomerangsworld.de/cms/worker/downloads/%{name}-%{version}.tar.bz2
Source1: 	http://www.boomerangsworld.de/cms/worker/downloads/worker-%{docver}-doc.tar.bz2
Source3: 	%{name}-48.png
Source4: 	%{name}-32.png
Source5: 	%{name}-16.png
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	magic-devel
BuildRequires:	avfs-devel

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories.
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions
to filetypes or buttons with the builtin configuration program.

%prep
%setup -q -a 1

#Fix ChangeLog and Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
%configure2_5x
%make_build

pushd %{name}-%{docver}-doc
%configure2_5x
%make_build
popd

%install
%make_install
%make_install -C %{name}-%{docver}-doc

%files
%doc README NEWS AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1.*
%lang(it) %{_mandir}/it/man1/%{name}.1.*


%changelog
* Sun Jan 15 2017 daviddavid <daviddavid> 3.8.5-1.mga6
+ Revision: 1081879
- new version: 3.8.5

* Sun Sep 25 2016 daviddavid <daviddavid> 3.8.4-1.mga6
+ Revision: 1055974
- new version: 3.8.4

* Sat Apr 30 2016 daviddavid <daviddavid> 3.8.3-1.mga6
+ Revision: 1007996
- new version: 3.8.3

* Wed Feb 03 2016 daviddavid <daviddavid> 3.8.2-1.mga6
+ Revision: 933315
- new version: 3.8.2

* Wed Oct 14 2015 daviddavid <daviddavid> 3.8.1-1.mga6
+ Revision: 891666
- new version: 3.8.1

* Tue Sep 15 2015 daviddavid <daviddavid> 3.8.0-1.mga6
+ Revision: 879570
- new version: 3.8.0
- mark doc file (fix build with new rpm 4.13.0)

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-3.mga5
+ Revision: 742434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 690366
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 3.5.0-1.mga5
+ Revision: 666524
- update Url
- convert Man pages to UTF-8
- convert Changelog to UTF-8
- remove unneeded additional icons (already provided by upstream)
- new version: 3.5.0

* Sat Oct 19 2013 umeabot <umeabot> 2.19.6-5.mga4
+ Revision: 527523
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 2.19.6-4.mga4
+ Revision: 441049
- br xinerama

* Sun Jun 09 2013 fwang <fwang> 2.19.6-3.mga4
+ Revision: 441040
- rebuild for updated avfs

* Sun Jun 09 2013 fwang <fwang> 2.19.6-2.mga4
+ Revision: 441025
- br dbus

* Sun Jun 09 2013 fwang <fwang> 2.19.6-1.mga4
+ Revision: 441019
- new version 2.19.6

* Mon Jan 14 2013 umeabot <umeabot> 2.19.4-2.mga3
+ Revision: 385843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 fwang <fwang> 2.19.4-1.mga3
+ Revision: 268405
- new version 2.19.4

* Sat Mar 03 2012 fwang <fwang> 2.19.1-1.mga2
+ Revision: 217184
- new version 2.19.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 2.19.0-1.mga2
+ Revision: 208686
- new version 2.19.0
- add avfs support

* Sun Dec 11 2011 fwang <fwang> 2.18.1-1.mga2
+ Revision: 180555
- new version 2.18.1

* Sat Jul 16 2011 fwang <fwang> 2.18.0-1.mga2
+ Revision: 124632
- new version 2.18.0

* Fri Jul 08 2011 dams <dams> 2.17.13-1.mga2
+ Revision: 120633
- Update to 2.17.13

* Fri Feb 11 2011 dmorgan <dmorgan> 2.17.10-2.mga1
+ Revision: 50186
- Remove mdv macros
- imported package worker

